/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <June 25, 2026> */

/**/
	/*fonts*/

	/*btns*/
/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
#hp-slider .swiper-pagination-bullet {
    background-color: white;
}
/* CTA */
	/**/
/* Welcome */
	/**/
.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo {
    padding-top: 40%;
}
/* Services */
	/**/
/* Meet the Team */
	/**/
#section-hp-team:before {
    background-position: bottom;
}
/* Insurance */
	/**/
#hp-insurance-1 {
    background: white;
}
/* Brand */
	/**/
#hp-brands-6 .overflow-hidden, #hp-insurance-1 .overflow-hidden {
    padding: 10px 0 0 0;
}
#hp-brands-6 .swiper-slide, #hp-insurance-1 .swiper-slide {
    background: none;
}

.brands-swiper-5 img {
    aspect-ratio: 3 / 2;
    -o-object-fit: contain;
    object-fit: contain;
    mix-blend-mode: color-burn;
    height: 70px;
    margin: 0 auto;
}

.brand-5-swiper-button-next,
.brand-5-swiper-button-prev {
  -webkit-text-stroke: 1px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  display: grid;
  justify-items: center;
  align-items: center;
  color: var(--color-secondary-text);
  background-color: var(--color-secondary-background);
}
/* Request Appointment */
	/**/
/* Testimonials */
	/**/

#hp-testimonials-1::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    height: 30%;
    width: 100%;
    background: var(--color-primary-background);
    opacity: 0.1;
}

#hp-testimonials-1 .swiper-slide {
    background: var(--color-primary-background);
    border-radius: 0;
}

#hp-testimonials-1 .swiper-slide:nth-child(odd) {
    background: var(--color-secondary-background);
}

#hp-testimonials-1 .swiper-slide p{
   color: var(--color-primary-text);
}
/* Footer */
	/**/
/*Media Queries*/
	/**/
@media (width < 1080px) {
  #section-hp-services:before,
  .module-19.style2:before,
  .ry-services.style2::before {
    opacity: 1;
  }
}
@media (max-width:1024px){
	#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
		height: 100% !important;
	}
}
/* End - HP Edits*/

#navigation .bg-primary-background {
	background-color: #fff !important;
}

body[data-page-name="contact-us"] #footer-map {
	display: none;
}

body[data-page-name="contact-us"] #ry-footer-3 {
	padding-top: 220px;
}

div#contents ul.pagination li {
    list-style: none !important;
}